package com.njzscloud.dispose.cst.order.constant;

import lombok.Getter;
import lombok.RequiredArgsConstructor;
import com.njzscloud.common.core.ienum.DictStr;
/**
 * 字典代码：order_status
 * 字典名称：订单状态
 * @author ljw
 */
@Getter
@RequiredArgsConstructor
public enum OrderStatus implements DictStr {
    /**
     * 未指派清运公司
     */
    YiYuYue("YiYuYue", "已预约"),

    JinXingZhong("JinXingZhong", "进行中"),

    /**
     * 最终态，完成前要支付
     */
    YiWanCheng("YiWanCheng", "已完成"),

    /**
     * 最终态，取消前要退款
     */
    YiQuXiao("YiQuXiao", "已取消"),

    ;
    private final String val;

    private final String txt;
}
